Merge branch '2.3.x'

Closes gh-22184
This commit is contained in:
Andy Wilkinson 2020-07-01 13:48:40 +01:00
commit c16b21f6ec

View File

@ -1,5 +1,12 @@
#!/bin/bash
report_error() {
echo "Script exited with error $1 on line $2"
exit 1;
}
trap 'report_error $? $LINENO' ERR
case "$JDK_VERSION" in
java8)
BASE_URL="https://api.adoptopenjdk.net/v3/assets/feature_releases/8/ga"
@ -24,6 +31,10 @@ esac
response=$( curl -s ${BASE_URL}\?architecture\=x64\&heap_size\=normal\&image_type\=jdk\&jvm_impl\=hotspot\&os\=linux\&sort_order\=DESC\&vendor\=adoptopenjdk )
latest=$( jq -r '.[0].binaries[0].package.link' <<< "$response" )
if [[ ${latest} = "null" || ${latest} = "" ]]; then
echo "Could not parse JDK response: $response"
exit 1;
fi
current=$( git-repo/ci/images/get-jdk-url.sh ${JDK_VERSION} )
@ -32,9 +43,16 @@ if [[ $current = $latest ]]; then
exit 0;
fi
milestone_number=$( curl -s https://api.github.com/repos/${GITHUB_ORGANIZATION}/${GITHUB_REPO}/milestones\?state\=open | jq -c --arg MILESTONE "$MILESTONE" '.[] | select(.title==$MILESTONE)' | jq -r '.number')
milestone_response=$( curl -s https://api.github.com/repos/${GITHUB_ORGANIZATION}/${GITHUB_REPO}/milestones\?state\=open )
milestone_result=$( jq -r -c --arg MILESTONE "$MILESTONE" '.[] | select(has("title")) | select(.title==$MILESTONE)' <<< "$milestone_response" )
if [[ ${milestone_result} = "null" || ${milestone_result} = "" ]]; then
echo "Could not parse milestone: $milestone_response"
exit 1;
fi
milestone_number=$( jq -r '.number' <<< "$milestone_result" )
existing_tasks=$( curl -s https://api.github.com/repos/${GITHUB_ORGANIZATION}/${GITHUB_REPO}/issues\?labels\=type:%20task\&state\=open\&creator\=spring-buildmaster\&milestone\=${milestone_number} )
existing_jdk_issues=$( echo "$existing_tasks" | jq -c --arg TITLE "$ISSUE_TITLE" '.[] | select(.title==$TITLE)' )
existing_jdk_issues=$( jq -r -c --arg TITLE "$ISSUE_TITLE" '.[] | select(has("title")) | select(.title==$TITLE)' <<< "$existing_tasks" )
if [[ ${existing_jdk_issues} = "" ]]; then
curl \